
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GPS_SCAN_H
#define GPS_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/genBasicScan.h"

#include "server/pomScan.h"


/* Structures du module */
#include "GPSPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_GPS_GPSDEBUG_POSTER_STR ( FILE *in, FILE *out,
       struct GPS_GPSDEBUG_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GPS_MEPOS_POSTER_STR ( FILE *in, FILE *out,
       struct GPS_MEPOS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GPS_INFO_POSTER_STR ( FILE *in, FILE *out,
       struct GPS_INFO_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GPS_STR ( FILE *in, FILE *out,
       struct GPS_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_GPS_DEBUG ( FILE *in, FILE *out,
       struct GPS_DEBUG *x, int indent, int nDim, int *dims );
extern int scan_struct_GPS_INIT ( FILE *in, FILE *out,
       struct GPS_INIT *x, int indent, int nDim, int *dims );
extern int scan_struct_GPS_LOG ( FILE *in, FILE *out,
       struct GPS_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_GPS_POS_QUALITY ( FILE *in, FILE *out,
       struct GPS_POS_QUALITY *x, int indent, int nDim, int *dims );
extern int scan_struct_GPS_REF_POS ( FILE *in, FILE *out,
       struct GPS_REF_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_GPS_POM_TAGGING ( FILE *in, FILE *out,
       struct GPS_POM_TAGGING *x, int indent, int nDim, int *dims );
extern int scan_struct_GPS_STRING ( FILE *in, FILE *out,
       struct GPS_STRING *x, int indent, int nDim, int *dims );
extern int scan_enum_GPS_FLAG ( FILE *in, FILE *out,
       enum GPS_FLAG *x, int indent, int nDim, int *dims );
extern int scan_enum_GPSNovatel_FLAG ( FILE *in, FILE *out,
       enum GPSNovatel_FLAG *x, int indent, int nDim, int *dims );
extern int scan_enum_GPS_LOG_FORMAT ( FILE *in, FILE *out,
       enum GPS_LOG_FORMAT *x, int indent, int nDim, int *dims );
extern int scan_struct_HEADINGb_LOG ( FILE *in, FILE *out,
       struct HEADINGb_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_OEM6HEADINGb_LOG ( FILE *in, FILE *out,
       struct OEM6HEADINGb_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_BESTXYZb_LOG ( FILE *in, FILE *out,
       struct BESTXYZb_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_OEM4BESTXYZb_LOG ( FILE *in, FILE *out,
       struct OEM4BESTXYZb_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_BESTVELb_LOG ( FILE *in, FILE *out,
       struct BESTVELb_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_OEM4BESTVELb_LOG ( FILE *in, FILE *out,
       struct OEM4BESTVELb_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_BESTUTMb_LOG ( FILE *in, FILE *out,
       struct BESTUTMb_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_OEM4BESTUTMb_LOG ( FILE *in, FILE *out,
       struct OEM4BESTUTMb_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_BESTPOSb_LOG ( FILE *in, FILE *out,
       struct BESTPOSb_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_OEM4BESTPOSb_LOG ( FILE *in, FILE *out,
       struct OEM4BESTPOSb_LOG *x, int indent, int nDim, int *dims );
extern int scan_struct_OEM4_BINARY_HEADER ( FILE *in, FILE *out,
       struct OEM4_BINARY_HEADER *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_OEM4_BINARY_HEADER ( FILE *in, FILE *out,
       OEM4_BINARY_HEADER *x, int indent, int nDim, int *dims );
extern int scan_OEM4BESTPOSb_LOG ( FILE *in, FILE *out,
       OEM4BESTPOSb_LOG *x, int indent, int nDim, int *dims );
extern int scan_BESTPOSb_LOG ( FILE *in, FILE *out,
       BESTPOSb_LOG *x, int indent, int nDim, int *dims );
extern int scan_OEM4BESTUTMb_LOG ( FILE *in, FILE *out,
       OEM4BESTUTMb_LOG *x, int indent, int nDim, int *dims );
extern int scan_BESTUTMb_LOG ( FILE *in, FILE *out,
       BESTUTMb_LOG *x, int indent, int nDim, int *dims );
extern int scan_OEM4BESTVELb_LOG ( FILE *in, FILE *out,
       OEM4BESTVELb_LOG *x, int indent, int nDim, int *dims );
extern int scan_BESTVELb_LOG ( FILE *in, FILE *out,
       BESTVELb_LOG *x, int indent, int nDim, int *dims );
extern int scan_OEM4BESTXYZb_LOG ( FILE *in, FILE *out,
       OEM4BESTXYZb_LOG *x, int indent, int nDim, int *dims );
extern int scan_BESTXYZb_LOG ( FILE *in, FILE *out,
       BESTXYZb_LOG *x, int indent, int nDim, int *dims );
extern int scan_OEM6HEADINGb_LOG ( FILE *in, FILE *out,
       OEM6HEADINGb_LOG *x, int indent, int nDim, int *dims );
extern int scan_HEADINGb_LOG ( FILE *in, FILE *out,
       HEADINGb_LOG *x, int indent, int nDim, int *dims );
extern int scan_GPS_LOG_FORMAT ( FILE *in, FILE *out,
       GPS_LOG_FORMAT *x, int indent, int nDim, int *dims );
extern int scan_GPSNovatel_FLAG ( FILE *in, FILE *out,
       GPSNovatel_FLAG *x, int indent, int nDim, int *dims );
extern int scan_GPS_FLAG ( FILE *in, FILE *out,
       GPS_FLAG *x, int indent, int nDim, int *dims );
extern int scan_GPS_STRING ( FILE *in, FILE *out,
       GPS_STRING *x, int indent, int nDim, int *dims );
extern int scan_GPS_POM_TAGGING ( FILE *in, FILE *out,
       GPS_POM_TAGGING *x, int indent, int nDim, int *dims );
extern int scan_GPS_REF_POS ( FILE *in, FILE *out,
       GPS_REF_POS *x, int indent, int nDim, int *dims );
extern int scan_GPS_POS_QUALITY ( FILE *in, FILE *out,
       GPS_POS_QUALITY *x, int indent, int nDim, int *dims );
extern int scan_GPS_LOG ( FILE *in, FILE *out,
       GPS_LOG *x, int indent, int nDim, int *dims );
extern int scan_GPS_INIT ( FILE *in, FILE *out,
       GPS_INIT *x, int indent, int nDim, int *dims );
extern int scan_GPS_DEBUG ( FILE *in, FILE *out,
       GPS_DEBUG *x, int indent, int nDim, int *dims );
extern int scan_GPS_STR ( FILE *in, FILE *out,
       GPS_STR *x, int indent, int nDim, int *dims );
extern int scan_GPS_INFO_POSTER_STR ( FILE *in, FILE *out,
       GPS_INFO_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_GPS_MEPOS_POSTER_STR ( FILE *in, FILE *out,
       GPS_MEPOS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_GPS_GPSDEBUG_POSTER_STR ( FILE *in, FILE *out,
       GPS_GPSDEBUG_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* GPS_SCAN_H */

